vdr/vdr/debian vdr.init

Thomas Schmidt pkg-vdr-dvb-changes@lists.alioth.debian.org
Sun, 11 Jul 2004 09:11:57 +0000


Update of /cvsroot/pkg-vdr-dvb/vdr/vdr/debian
In directory haydn:/tmp/cvs-serv7255/vdr/vdr/debian

Modified Files:
	vdr.init 
Log Message:
* do not exit with 1 in case of a problem - only print a message
* negate check for second vdr-instance, should be more useful this way ;-)

Index: vdr.init
===================================================================
RCS file: /cvsroot/pkg-vdr-dvb/vdr/vdr/debian/vdr.init,v
retrieving revision 1.21
retrieving revision 1.22
diff -u -d -r1.21 -r1.22
--- vdr.init	10 Jul 2004 19:21:49 -0000	1.21
+++ vdr.init	11 Jul 2004 09:11:55 -0000	1.22
@@ -22,7 +22,7 @@
 
 startvdr() 
 {
-    if `ps ax | grep "/usr/bin/vdr " | grep -v grep`
+    if ! `ps ax | grep "/usr/bin/vdr " | grep -v grep`
     then
     	getplugins
     	mergecommands "commands"
@@ -31,8 +31,7 @@
 	 	--exec /usr/sbin/runvdr -- -v $VIDEO_DIR -c $CFG_DIR -r $REC_CMD \
 	 	-s $SHUTDOWN_CMD $OPTIONS $PLUGINS &
     else
-	echo -n " - seems to be running already."
-	exit 1
+	   echo -n " - seems to be running already."
     fi
 }